include '%finc%\win32\win32a.inc'
include '..\..\..\source\designtime.inc'


DesignTimeInfo                                                \
                                                              \         ; 1. Control starts here
        'SysTreeView32',                                      \
        'TreeView Control',                                   \
        'Common',                                             \
        'TreeView',                                           \
        WS_VISIBLE or WS_CHILD or WS_BORDER or TVS_HASLINES,  \         ; default style
        WS_EX_CLIENTEDGE,                                     \         ; default ex style
        128, 128,                                             \
        <                                                     \         ; style names
            TVS_HASBUTTONS      ,"Shows a button to the left side of each parent item.", \
            TVS_HASLINES        ,"Enhances the graphic representation of a tree view control's hierarchy by drawing lines that link child items to their parent item.",\
            TVS_LINESATROOT     ,"Draws lines between root and child nodes",             \
            TVS_EDITLABELS      ,"Allows the user to edit the labels of tree view items.",\
            TVS_DISABLEDRAGDROP ,"Disable drag and drop operation.",                     \
            TVS_SHOWSELALWAYS   ,"Causes a selected item to remain selected when the tree view control loses focus.",    \
            TVS_SINGLEEXPAND    ,"Causes a tree view item to be expanded when it becomes selected and to be closed when it becomes unselected.",\
            TVS_CHECKBOXES      ,"Enables check boxes for items in a tree view control.",\
            TVS_DISABLEDRAGDROP ,"Prevents the tree view control from sending TVN_BEGINDRAG notification messages.",\
            TVS_FULLROWSELECT   ,"The entire row of the selected item is highlighted, and clicking anywhere on an item's row will cause it to be selected.",\
            TVS_INFOTIP         ,"The tree view control will send the TVN_GETINFOTIP notification to obtain tooltip information.",\
            TVS_NOHSCROLL       ,"Disables horizontal scrolling in the control.",\
            TVS_NONEVENHEIGHT   ,"The height of the items can be set to an odd height with the TVM_SETITEMHEIGHT message.",\
            TVS_NOSCROLL        ,"Disables both horizontal and vertical scrolling in the control.",\
            TVS_NOTOOLTIPS      ,"The tree view control does not support tooltips.",\
            TVS_RTLREADING      ,"Normal windows display text left-to-right (LTR).",\
            TVS_TRACKSELECT     ,"Enables hot tracking in a tree view control." \
        >,                                                    \
        NONE,                                                 \         ; style Ex names
                                                              \
        $00000000,                                            \         ; This is StyleMaskAnd
        WS_CHILD ,                                            \         ; This is StyleMaskOr
        $00000000,                                            \         ; This is StyleExMaskAnd
        $00000000,                                            \         ; This is StyleExMaskOr
        $0       ,                                            \         ; This is SubtypeMask
        NONE,                                                 \
        NONE,                                                 \         ; Library file NULL, because it's standard component.
        'treeview.ico',                                       \
                                                              \         ; 1. Control starts here
        'SysListView32',                                      \
        'ListView Control',                                   \
        'Common',                                             \
        'ListView',                                           \
        WS_CHILD or LVS_REPORT or LVS_EDITLABELS,             \         ; default style
        WS_EX_CLIENTEDGE,                                     \         ; default ex style
        128, 128,                                             \
        <                                                     \         ; style names
            LVS_SINGLESEL        ,".",\
            LVS_SHOWSELALWAYS    ,".",\
            LVS_SORTASCENDING    ,".",\
            LVS_SORTDESCENDING   ,".",\
            LVS_SHAREIMAGELISTS  ,".",\
            LVS_NOLABELWRAP      ,".",\
            LVS_AUTOARRANGE      ,".",\
            LVS_EDITLABELS       ,".",\
            LVS_OWNERDATA        ,".",\
            LVS_NOSCROLL         ,".",\
            LVS_ALIGNTOP         ,"Align icons on top.",\
            LVS_ALIGNLEFT        ,"Align icons on left.",\
            LVS_OWNERDRAWFIXED   ,".",\
            LVS_NOCOLUMNHEADER   ,".",\
            LVS_NOSORTHEADER     ,"." \
       >,                                                    \
       <    LVS_EX_GRIDLINES        , "." ,\ ; style Ex names
            LVS_EX_SUBITEMIMAGES    , "." ,\
            LVS_EX_CHECKBOXES       , "." ,\
            LVS_EX_TRACKSELECT      , "." ,\
            LVS_EX_HEADERDRAGDROP   , "." ,\
            LVS_EX_FULLROWSELECT    , "." ,\
            LVS_EX_ONECLICKACTIVATE , "." ,\
            LVS_EX_TWOCLICKACTIVATE , "." ,\
            LVS_EX_FLATSB           , "." ,\
            LVS_EX_REGIONAL         , "." ,\
            LVS_EX_INFOTIP          , "." ,\
            LVS_EX_UNDERLINEHOT     , "." ,\
            LVS_EX_UNDERLINECOLD    , "." ,\
            LVS_EX_MULTIWORKAREAS   , "." ,\
            LVS_EX_LABELTIP         , "." ,\
            LVS_EX_BORDERSELECT     , "." \
        >,                                                    \
                                                              \
        $00000000,                                            \         ; This is StyleMaskAnd
        WS_CHILD or WS_VISIBLE,                               \         ; This is StyleMaskOr
        $00000000,                                            \         ; This is StyleExMaskAnd
        $00000000,                                            \         ; This is StyleExMaskOr
        $3       ,                                            \         ; This is SubtypeMask
        <                                                     \
          LVS_ICON             ,"Each item appears as a full-sized icon with a label below it.",\
          LVS_REPORT           ,"Each item appears on its own line with information arranged in columns. The leftmost column is always left justified, and contains the small icon and label.",\
          LVS_SMALLICON        ,"Each item appears as a small icon with the label to the right of it.",\
          LVS_LIST             ,"Each item appears as a small icon with a label to the right of it. Items are arranged in columns and cannot be dragged to any arbitrary location by the user." \
        >,                                                    \         ; This is SubtipeRange
        NONE,                                                 \         ; Library file NULL, because it's standard component.
        'listview.ico',\
                                                              \         ; 1. Control starts here
        'SysMonthCal32',                                      \
        'MonthView Control',                                  \
        'Common',                                             \
        'MonthView',                                          \
        WS_VISIBLE or WS_CHILD or WS_BORDER,                  \         ; default style
        0,                                                    \         ; default ex style
        128, 128,                                             \
        <                                                     \         ; style names
          MCS_MULTISELECT     ,"Allow the user to select a range of days.",\
          MCS_WEEKNUMBERS     ,"Displays week numbers at the left side of each month.",\
          MCS_NOTODAY         ,"The control no longer circles the current day.",\
          MCS_DAYSTATE        ,"The control highlights specific dates by displaying them in bold."\
        >,                                                    \
        NONE,                                                 \         ; style Ex names
                                                              \
        $00000000,                                            \         ; This is StyleMaskAnd
        WS_CHILD or WS_VISIBLE,                                            \         ; This is StyleMaskOr
        $00000000,                                            \         ; This is StyleExMaskAnd
        $00000000,                                            \         ; This is StyleExMaskOr
        $0       ,                                            \         ; This is SubtypeMask
        NONE,                                                 \
        NONE,                                                 \         ; Library file NULL, because it's standard component.
        'monthview.ico',\
                                                              \         ; 1. Control starts here
        'ToolbarWindow32',                                    \
        'Toolbar Control',                                    \
        'Common',                                             \
        'Toolbar',                                            \
        WS_CHILD or TBSTYLE_TOOLTIPS or CCS_ADJUSTABLE,       \         ; default style
        0,                                                    \         ; default ex style
        128, 128,                                             \
        <                                                     \         ; style names
          TBSTYLE_TOOLTIPS,   "The toolbar creates and manages a tooltip control.", \
          TBSTYLE_ALTDRAG,    'Allows the user to change the position of a toolbar button by dragging it while holding down the ALT key.',     \
          TBSTYLE_WRAPABLE,   'Creates a toolbar that can have multiple lines of buttons.'  \
        >,                                                    \
        NONE,                                                 \         ; style Ex names
                                                              \
        $00000000,                                            \         ; This is StyleMaskAnd
        WS_CHILD ,                                            \         ; This is StyleMaskOr
        $00000000,                                            \         ; This is StyleExMaskAnd
        $00000000,                                            \         ; This is StyleExMaskOr
        $0       ,                                            \         ; This is SubtypeMask
        NONE,                                                 \
        NONE,                                                 \         ; Library file NULL, because it's standard component.
        'toolbar.ico',\
                                                              \         ; 1. Control starts here
        'msctls_statusbar32',                                 \
        'Status Bar Control',                                 \
        'Common',                                             \
        'Status',                                             \
        WS_CHILD,                                             \         ; default style
        0,                                                    \         ; default ex style
        128, 128,                                             \
        NONE,                                                 \         ; style names
        NONE,                                                 \         ; style Ex names
                                                              \
        $00000000,                                            \         ; This is StyleMaskAnd
        WS_CHILD ,                                            \         ; This is StyleMaskOr
        $00000000,                                            \         ; This is StyleExMaskAnd
        $00000000,                                            \         ; This is StyleExMaskOr
        $0       ,                                            \         ; This is SubtypeMask
        NONE,                                                 \
        NONE,                                                 \         ; Library file NULL, because it's standard component.
        'statusbar.ico',                                      \
                                                              \         ; 1. Control starts here
        'SysTabControl32',                                    \
        'Tab Control',                                        \
        'Common',                                             \
        'Tab',                                                \
        WS_CHILD,                                             \         ; default style
        0,                                                    \         ; default ex style
        128, 128,                                             \
        <                                                     \         ; style names
           TCS_SCROLLOPPOSITE, ".",                           \
           TCS_RIGHT,          ".",                           \
           TCS_FORCEICONLEFT,  ".",                           \
           TCS_FORCELABELLEFT, ".",                           \
           TCS_HOTTRACK,       ".",                           \
           TCS_VERTICAL,       '.',                           \
           TCS_BUTTONS,        '.',                           \
           TCS_MULTILINE,      '.',                           \
           TCS_FIXEDWIDTH,     '.',                           \
           TCS_RAGGEDRIGHT,    '.',                           \
           TCS_FOCUSONBUTTONDOWN, '.',                        \
           TCS_OWNERDRAWFIXED, '.',                           \
           TCS_TOOLTIPS,       '.',                           \
           TCS_FOCUSNEVER,     '.'                            \
        >,                                                    \
        NONE,                                                 \         ; style Ex names
                                                              \
        $00000000,                                            \         ; This is StyleMaskAnd
        WS_CHILD ,                                            \         ; This is StyleMaskOr
        $00000000,                                            \         ; This is StyleExMaskAnd
        $00000000,                                            \         ; This is StyleExMaskOr
        $0       ,                                            \         ; This is SubtypeMask
        NONE,                                                 \
        NONE,                                                 \         ; Library file NULL, because it's standard component.
        'tabctl.ico',                                         \
                                                              \         ; 1. Control starts here
        'msctls_trackbar32',                                  \
        'Slider Control',                                     \
        'Common',                                             \
        'Slider',                                             \
        WS_CHILD,                                             \         ; default style
        0,                                                    \         ; default ex style
        128, 128,                                             \
        <                                                     \         ; style names
           0    ,"." \
        >,                                                    \
        NONE,                                                 \         ; style Ex names
                                                              \
        $00000000,                                            \         ; This is StyleMaskAnd
        WS_CHILD ,                                            \         ; This is StyleMaskOr
        $00000000,                                            \         ; This is StyleExMaskAnd
        $00000000,                                            \         ; This is StyleExMaskOr
        $1f      ,                                            \         ; This is SubtypeMask
        NONE,                                                 \
        NONE,                                                 \         ; Library file NULL, because it's standard component.
        'slider.ico',                                         \
\
\
        'msctls_progress32',                                  \
        'Progressbar Control',                                \
        'Common',                                             \
        'Progressbar',                                        \
        WS_CHILD,                                             \         ; default style
        0,                                                    \         ; default ex style
        192, 19,                                              \
        <                                                     \         ; style names
           PBS_SMOOTH    ,"PBS_SMOOTH",                       \
           PBS_VERTICAL,  "PBS_VERTICAL"                      \
        >,                                                    \
        NONE,                                                 \         ; style Ex names
                                                              \
        $00000000,                                            \         ; This is StyleMaskAnd
        WS_CHILD ,                                            \         ; This is StyleMaskOr
        $00000000,                                            \         ; This is StyleExMaskAnd
        $00000000,                                            \         ; This is StyleExMaskOr
        $0       ,                                            \         ; This is SubtypeMask
        NONE,                                                 \
        NONE,                                                 \         ; Library file NULL, because it's standard component.
        'progress.ico'
