; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "BSD 2-clause" license."          |
;|_______________________________________________________________________________________|
;
;  Description: libXft import library.
;
;  Target OS: Linux
;
;  Dependencies:
;
;  Notes: Needs editing of the function arguments
;_________________________________________________________________________________________

import_proto  'libXft.so.2',                                    \
    XftCharExists           ,<NONE>, 'XftCharExists',           \
    XftCharFontSpecRender   ,<NONE>, 'XftCharFontSpecRender',   \
    XftCharIndex            ,<NONE>, 'XftCharIndex',            \
    XftCharSpecRender       ,<NONE>, 'XftCharSpecRender',       \
    XftColorAllocName       ,<NONE>, 'XftColorAllocName',       \
    XftColorAllocValue      ,<NONE>, 'XftColorAllocValue',      \
    XftColorFree            ,<NONE>, 'XftColorFree',            \
    XftDefaultHasRender     ,<NONE>, 'XftDefaultHasRender',     \
    XftDefaultSet           ,<NONE>, 'XftDefaultSet',           \
    XftDefaultSubstitute    ,<NONE>, 'XftDefaultSubstitute',    \
    XftDrawChange           ,<NONE>, 'XftDrawChange',           \
    XftDrawCharFontSpec     ,<NONE>, 'XftDrawCharFontSpec',     \
    XftDrawCharSpec         ,<NONE>, 'XftDrawCharSpec',         \
    XftDrawColormap         ,<NONE>, 'XftDrawColormap',         \
    XftDrawCreate           ,<NONE>, 'XftDrawCreate',           \
    XftDrawCreateAlpha      ,<NONE>, 'XftDrawCreateAlpha',      \
    XftDrawCreateBitmap     ,<NONE>, 'XftDrawCreateBitmap',     \
    XftDrawDestroy          ,<NONE>, 'XftDrawDestroy',          \
    XftDrawDisplay          ,<NONE>, 'XftDrawDisplay',          \
    XftDrawDrawable         ,<NONE>, 'XftDrawDrawable',         \
    XftDrawGlyphFontSpec    ,<NONE>, 'XftDrawGlyphFontSpec',    \
    XftDrawGlyphSpec        ,<NONE>, 'XftDrawGlyphSpec',        \
    XftDrawGlyphs           ,<NONE>, 'XftDrawGlyphs',           \
    XftDrawPicture          ,<NONE>, 'XftDrawPicture',          \
    XftDrawRect             ,<NONE>, 'XftDrawRect',             \
    XftDrawSetClip          ,<NONE>, 'XftDrawSetClip',          \
    XftDrawSetClipRectangles,<NONE>, 'XftDrawSetClipRectangles',\
    XftDrawSetSubwindowMode ,<NONE>, 'XftDrawSetSubwindowMode', \
    XftDrawSrcPicture       ,<NONE>, 'XftDrawSrcPicture',       \
    XftDrawString16         ,<NONE>, 'XftDrawString16',         \
    XftDrawString32         ,<NONE>, 'XftDrawString32',         \
    XftDrawString8          ,<NONE>, 'XftDrawString8',          \
    XftDrawStringUtf16      ,<NONE>, 'XftDrawStringUtf16',      \
    XftDrawStringUtf8       ,<NONE>, 'XftDrawStringUtf8',       \
    XftDrawVisual           ,<NONE>, 'XftDrawVisual',           \
    XftFontCheckGlyph       ,<NONE>, 'XftFontCheckGlyph',       \
    XftFontClose            ,<NONE>, 'XftFontClose',            \
    XftFontCopy             ,<NONE>, 'XftFontCopy',             \
    XftFontInfoCreate       ,<NONE>, 'XftFontInfoCreate',       \
    XftFontInfoDestroy      ,<NONE>, 'XftFontInfoDestroy',      \
    XftFontInfoEqual        ,<NONE>, 'XftFontInfoEqual',        \
    XftFontInfoHash         ,<NONE>, 'XftFontInfoHash',         \
    XftFontLoadGlyphs       ,<NONE>, 'XftFontLoadGlyphs',       \
    XftFontMatch            ,<NONE>, 'XftFontMatch',            \
    XftFontOpen             ,<NONE>, 'XftFontOpen',             \
    XftFontOpenInfo         ,<NONE>, 'XftFontOpenInfo',         \
    XftFontOpenName         ,<NONE>, 'XftFontOpenName',         \
    XftFontOpenPattern      ,<NONE>, 'XftFontOpenPattern',      \
    XftFontOpenXlfd         ,<NONE>, 'XftFontOpenXlfd',         \
    XftFontUnloadGlyphs     ,<NONE>, 'XftFontUnloadGlyphs',     \
    XftGetVersion           ,<NONE>, 'XftGetVersion',           \
    XftGlyphExtents         ,<NONE>, 'XftGlyphExtents',         \
    XftGlyphFontSpecRender  ,<NONE>, 'XftGlyphFontSpecRender',  \
    XftGlyphRender          ,<NONE>, 'XftGlyphRender',          \
    XftGlyphSpecRender      ,<NONE>, 'XftGlyphSpecRender',      \
    XftInit                 ,<NONE>, 'XftInit',                 \
    XftInitFtLibrary        ,<NONE>, 'XftInitFtLibrary',        \
    XftListFonts            ,<NONE>, 'XftListFonts',            \
    XftLockFace             ,<NONE>, 'XftLockFace',             \
    XftNameParse            ,<NONE>, 'XftNameParse',            \
    XftNameUnparse          ,<NONE>, 'XftNameUnparse',          \
    XftTextExtents16        ,<NONE>, 'XftTextExtents16',        \
    XftTextExtents32        ,<NONE>, 'XftTextExtents32',        \
    XftTextExtents8         ,<NONE>, 'XftTextExtents8',         \
    XftTextExtentsUtf16     ,<NONE>, 'XftTextExtentsUtf16',     \
    XftTextExtentsUtf8      ,<NONE>, 'XftTextExtentsUtf8',      \
    XftTextRender16         ,<NONE>, 'XftTextRender16',         \
    XftTextRender16BE       ,<NONE>, 'XftTextRender16BE',       \
    XftTextRender16LE       ,<NONE>, 'XftTextRender16LE',       \
    XftTextRender32         ,<NONE>, 'XftTextRender32',         \
    XftTextRender32BE       ,<NONE>, 'XftTextRender32BE',       \
    XftTextRender32LE       ,<NONE>, 'XftTextRender32LE',       \
    XftTextRender8          ,<NONE>, 'XftTextRender8',          \
    XftTextRenderUtf16      ,<NONE>, 'XftTextRenderUtf16',      \
    XftTextRenderUtf8       ,<NONE>, 'XftTextRenderUtf8',       \
    XftUnlockFace           ,<NONE>, 'XftUnlockFace',           \
    XftXlfdParse            ,<NONE>, 'XftXlfdParse'


