; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "BSD 2-clause" license."          |
;|_______________________________________________________________________________________|
;
;  Description: libpthread (posix threads) import library.
;
;  Target OS: Linux
;
;  Dependencies:
;
;  Notes: Needs editing of the function arguments
;_________________________________________________________________________________________

import_proto  'libpthread.so.0',                                                                                         \
fork                              ,<NONE>,                                      'fork',                                  \
longjmp                           ,<NONE>,                                      'longjmp',                               \
pthread_atfork                    ,<NONE>,                                      'pthread_atfork',                        \
pthread_attr_destroy              ,<NONE>,                                      'pthread_attr_destroy',                  \
pthread_attr_getaffinity_np       ,<NONE>,                                      'pthread_attr_getaffinity_np',           \
pthread_attr_getdetachstate       ,<NONE>,                                      'pthread_attr_getdetachstate',           \
pthread_attr_getguardsize         ,<NONE>,                                      'pthread_attr_getguardsize',             \
pthread_attr_getinheritsched      ,<NONE>,                                      'pthread_attr_getinheritsched',          \
pthread_attr_getschedparam        ,<NONE>,                                      'pthread_attr_getschedparam',            \
pthread_attr_getschedpolicy       ,<NONE>,                                      'pthread_attr_getschedpolicy',           \
pthread_attr_getscope             ,<NONE>,                                      'pthread_attr_getscope',                 \
pthread_attr_getstack             ,<NONE>,                                      'pthread_attr_getstack',                 \
pthread_attr_getstackaddr         ,<NONE>,                                      'pthread_attr_getstackaddr',             \
pthread_attr_getstacksize         ,<NONE>,                                      'pthread_attr_getstacksize',             \
pthread_attr_init                 ,<NONE>,                                      'pthread_attr_init',                     \
pthread_attr_setaffinity_np       ,<NONE>,                                      'pthread_attr_setaffinity_np',           \
pthread_attr_setdetachstate       ,<NONE>,                                      'pthread_attr_setdetachstate',           \
pthread_attr_setguardsize         ,<NONE>,                                      'pthread_attr_setguardsize',             \
pthread_attr_setinheritsched      ,<NONE>,                                      'pthread_attr_setinheritsched',          \
pthread_attr_setschedparam        ,<NONE>,                                      'pthread_attr_setschedparam',            \
pthread_attr_setschedpolicy       ,<NONE>,                                      'pthread_attr_setschedpolicy',           \
pthread_attr_setscope             ,<NONE>,                                      'pthread_attr_setscope',                 \
pthread_attr_setstack             ,<NONE>,                                      'pthread_attr_setstack',                 \
pthread_attr_setstackaddr         ,<NONE>,                                      'pthread_attr_setstackaddr',             \
pthread_attr_setstacksize         ,<NONE>,                                      'pthread_attr_setstacksize',             \
pthread_barrier_destroy           ,<NONE>,                                      'pthread_barrier_destroy',               \
pthread_barrier_init              ,<NONE>,                                      'pthread_barrier_init',                  \
pthread_barrier_wait              ,<NONE>,                                      'pthread_barrier_wait',                  \
pthread_barrierattr_destroy       ,<NONE>,                                      'pthread_barrierattr_destroy',           \
pthread_barrierattr_getpshared    ,<NONE>,                                      'pthread_barrierattr_getpshared',        \
pthread_barrierattr_init          ,<NONE>,                                      'pthread_barrierattr_init',              \
pthread_barrierattr_setpshared    ,<NONE>,                                      'pthread_barrierattr_setpshared',        \
pthread_cancel                    ,<NONE>,                                      'pthread_cancel',                        \
pthread_cond_broadcast            ,<NONE>,                                      'pthread_cond_broadcast',                \
pthread_cond_destroy              ,<NONE>,                                      'pthread_cond_destroy',                  \
pthread_cond_init                 ,<NONE>,                                      'pthread_cond_init',                     \
pthread_cond_signal               ,<NONE>,                                      'pthread_cond_signal',                   \
pthread_cond_timedwait            ,<NONE>,                                      'pthread_cond_timedwait',                \
pthread_cond_wait                 ,<NONE>,                                      'pthread_cond_wait',                     \
pthread_condattr_destroy          ,<NONE>,                                      'pthread_condattr_destroy',              \
pthread_condattr_getclock         ,<NONE>,                                      'pthread_condattr_getclock',             \
pthread_condattr_getpshared       ,<NONE>,                                      'pthread_condattr_getpshared',           \
pthread_condattr_init             ,<NONE>,                                      'pthread_condattr_init',                 \
pthread_condattr_setclock         ,<NONE>,                                      'pthread_condattr_setclock',             \
pthread_condattr_setpshared       ,<NONE>,                                      'pthread_condattr_setpshared',           \
pthread_create                    ,<.pThreadID, .attr, .pThreadProc, .argument>,'pthread_create',                        \
pthread_detach                    ,<NONE>,                                      'pthread_detach',                        \
pthread_equal                     ,<NONE>,                                      'pthread_equal',                         \
pthread_exit                      ,<NONE>,                                      'pthread_exit',                          \
pthread_getaffinity_np            ,<NONE>,                                      'pthread_getaffinity_np',                \
pthread_getattr_np                ,<NONE>,                                      'pthread_getattr_np',                    \
pthread_getconcurrency            ,<NONE>,                                      'pthread_getconcurrency',                \
pthread_getcpuclockid             ,<NONE>,                                      'pthread_getcpuclockid',                 \
pthread_getschedparam             ,<NONE>,                                      'pthread_getschedparam',                 \
pthread_getspecific               ,<NONE>,                                      'pthread_getspecific',                   \
pthread_join                      ,<NONE>,                                      'pthread_join',                          \
pthread_key_create                ,<NONE>,                                      'pthread_key_create',                    \
pthread_key_delete                ,<NONE>,                                      'pthread_key_delete',                    \
pthread_kill                      ,<.ThreadID, .signal>,                        'pthread_kill',                          \
pthread_kill_other_threads_np     ,<NONE>,                                      'pthread_kill_other_threads_np',         \
pthread_mutex_consistent_np       ,<NONE>,                                      'pthread_mutex_consistent_np',           \
pthread_mutex_destroy             ,<.pMutex>,                                   'pthread_mutex_destroy',                 \
pthread_mutex_getprioceiling      ,<NONE>,                                      'pthread_mutex_getprioceiling',          \
pthread_mutex_init                ,<.pMutex, .pAttr>,                           'pthread_mutex_init',                    \
pthread_mutex_lock                ,<.pMutex>,                                   'pthread_mutex_lock',                    \
pthread_mutex_setprioceiling      ,<NONE>,                                      'pthread_mutex_setprioceiling',          \
pthread_mutex_timedlock           ,<.pMutex, .pTimeout>,                        'pthread_mutex_timedlock',               \
pthread_mutex_trylock             ,<.pMutex>,                                   'pthread_mutex_trylock',                 \
pthread_mutex_unlock              ,<.pMutex>,                                   'pthread_mutex_unlock',                  \
pthread_mutexattr_destroy         ,<.pAttr>,                                    'pthread_mutexattr_destroy',             \
pthread_mutexattr_getkind_np      ,<NONE>,                                      'pthread_mutexattr_getkind_np',          \
pthread_mutexattr_getprioceiling  ,<NONE>,                                      'pthread_mutexattr_getprioceiling',      \
pthread_mutexattr_getprotocol     ,<NONE>,                                      'pthread_mutexattr_getprotocol',         \
pthread_mutexattr_getpshared      ,<NONE>,                                      'pthread_mutexattr_getpshared',          \
pthread_mutexattr_getrobust_np    ,<NONE>,                                      'pthread_mutexattr_getrobust_np',        \
pthread_mutexattr_gettype         ,<NONE>,                                      'pthread_mutexattr_gettype',             \
pthread_mutexattr_init            ,<.pAttr>,                                    'pthread_mutexattr_init',                \
pthread_mutexattr_setkind_np      ,<NONE>,                                      'pthread_mutexattr_setkind_np',          \
pthread_mutexattr_setprioceiling  ,<NONE>,                                      'pthread_mutexattr_setprioceiling',      \
pthread_mutexattr_setprotocol     ,<NONE>,                                      'pthread_mutexattr_setprotocol',         \
pthread_mutexattr_setpshared      ,<NONE>,                                      'pthread_mutexattr_setpshared',          \
pthread_mutexattr_setrobust_np    ,<NONE>,                                      'pthread_mutexattr_setrobust_np',        \
pthread_mutexattr_settype         ,<NONE>,                                      'pthread_mutexattr_settype',             \
pthread_once                      ,<NONE>,                                      'pthread_once',                          \
pthread_rwlock_destroy            ,<NONE>,                                      'pthread_rwlock_destroy',                \
pthread_rwlock_init               ,<NONE>,                                      'pthread_rwlock_init',                   \
pthread_rwlock_rdlock             ,<NONE>,                                      'pthread_rwlock_rdlock',                 \
pthread_rwlock_timedrdlock        ,<NONE>,                                      'pthread_rwlock_timedrdlock',            \
pthread_rwlock_timedwrlock        ,<NONE>,                                      'pthread_rwlock_timedwrlock',            \
pthread_rwlock_tryrdlock          ,<NONE>,                                      'pthread_rwlock_tryrdlock',              \
pthread_rwlock_trywrlock          ,<NONE>,                                      'pthread_rwlock_trywrlock',              \
pthread_rwlock_unlock             ,<NONE>,                                      'pthread_rwlock_unlock',                 \
pthread_rwlock_wrlock             ,<NONE>,                                      'pthread_rwlock_wrlock',                 \
pthread_rwlockattr_destroy        ,<NONE>,                                      'pthread_rwlockattr_destroy',            \
pthread_rwlockattr_getkind_np     ,<NONE>,                                      'pthread_rwlockattr_getkind_np',         \
pthread_rwlockattr_getpshared     ,<NONE>,                                      'pthread_rwlockattr_getpshared',         \
pthread_rwlockattr_init           ,<NONE>,                                      'pthread_rwlockattr_init',               \
pthread_rwlockattr_setkind_np     ,<NONE>,                                      'pthread_rwlockattr_setkind_np',         \
pthread_rwlockattr_setpshared     ,<NONE>,                                      'pthread_rwlockattr_setpshared',         \
pthread_self                      ,<NONE>,                                      'pthread_self',                          \
pthread_setaffinity_np            ,<NONE>,                                      'pthread_setaffinity_np',                \
pthread_setcancelstate            ,<NONE>,                                      'pthread_setcancelstate',                \
pthread_setcanceltype             ,<NONE>,                                      'pthread_setcanceltype',                 \
pthread_setconcurrency            ,<NONE>,                                      'pthread_setconcurrency',                \
pthread_setschedparam             ,<NONE>,                                      'pthread_setschedparam',                 \
pthread_setschedprio              ,<NONE>,                                      'pthread_setschedprio',                  \
pthread_setspecific               ,<NONE>,                                      'pthread_setspecific',                   \
pthread_sigmask                   ,<NONE>,                                      'pthread_sigmask',                       \
pthread_spin_destroy              ,<NONE>,                                      'pthread_spin_destroy',                  \
pthread_spin_init                 ,<NONE>,                                      'pthread_spin_init',                     \
pthread_spin_lock                 ,<NONE>,                                      'pthread_spin_lock',                     \
pthread_spin_trylock              ,<NONE>,                                      'pthread_spin_trylock',                  \
pthread_spin_unlock               ,<NONE>,                                      'pthread_spin_unlock',                   \
pthread_testcancel                ,<NONE>,                                      'pthread_testcancel',                    \
pthread_timedjoin_np              ,<NONE>,                                      'pthread_timedjoin_np',                  \
pthread_tryjoin_np                ,<NONE>,                                      'pthread_tryjoin_np',                    \
pthread_yield                     ,<NONE>,                                      'pthread_yield',                         \
pwrite                            ,<NONE>,                                      'pwrite',                                \
pwrite64                          ,<NONE>,                                      'pwrite64',                              \
raise                             ,<NONE>,                                      'raise',                                 \
read                              ,<NONE>,                                      'read',                                  \
recv                              ,<NONE>,                                      'recv',                                  \
recvfrom                          ,<NONE>,                                      'recvfrom',                              \
recvmsg                           ,<NONE>,                                      'recvmsg',                               \
sem_close                         ,<NONE>,                                      'sem_close',                             \
sem_destroy                       ,<NONE>,                                      'sem_destroy',                           \
sem_getvalue                      ,<NONE>,                                      'sem_getvalue',                          \
sem_init                          ,<NONE>,                                      'sem_init',                              \
sem_open                          ,<NONE>,                                      'sem_open',                              \
sem_post                          ,<NONE>,                                      'sem_post',                              \
sem_timedwait                     ,<NONE>,                                      'sem_timedwait',                         \
sem_trywait                       ,<NONE>,                                      'sem_trywait',                           \
sem_unlink                        ,<NONE>,                                      'sem_unlink',                            \
sem_wait                          ,<NONE>,                                      'sem_wait',                              \
send                              ,<NONE>,                                      'send',                                  \
sendmsg                           ,<NONE>,                                      'sendmsg',                               \
sendto                            ,<NONE>,                                      'sendto',                                \
sigaction                         ,<NONE>,                                      'sigaction',                             \
siglongjmp                        ,<NONE>,                                      'siglongjmp',                            \
sigwait                           ,<NONE>,                                      'sigwait',                               \
system                            ,<NONE>,                                      'system',                                \
tcdrain                           ,<NONE>,                                      'tcdrain',                               \
vfork                             ,<NONE>,                                      'vfork',                                 \
waitpid                           ,<NONE>,                                      'waitpid',                               \
write                             ,<NONE>,                                      'write'



