include '..\..\..\source\designtime.inc'
include 'winconst.inc'


DesignTimeInfo                                                \
        'STATIC',                                             \
        'Label control',                                      \
        'Standard',                                           \
        'Label',                                              \
        WS_VISIBLE or WS_CHILD,                               \         ; default style
        0,                                                    \         ; default ex style
        32, 13,                                               \
        <                                                     \         ; style names
            SS_SUNKEN            , "Draws a half-sunken border around a static control",                                        \
            SS_CENTERIMAGE       , "Centers the image",                                                                                                                            \
            SS_REALSIZEIMAGE     , "Prevents a static icon or bitmap control from being resized as it is loaded or drawn",                                                         \
            SS_RIGHTJUST         , "Specifies that the lower right corner of a static control with the SS_BITMAP or SS_ICON style is to remain fixed when the control is resized", \
            SS_NOPREFIX          , "Prevents interpretation of any ampersand (&) characters in the control's text as accelerator prefix characters",\
            SS_NOTIFY            , "Sends the parent window notification messages when the user clicks or double-clicks the control"          \
        >,                                                    \
        NONE,                                                 \         ; style Ex names
                                                              \
        $00000000,                                            \         ; This is StyleMaskAnd
        WS_CHILD ,                                            \         ; This is StyleMaskOr
        $00000000,                                            \         ; This is StyleExMaskAnd
        $00000000,                                            \         ; This is StyleExMaskOr
        $1f      ,                                            \         ; This is SubtypeMask
        <                                                     \
            SS_LEFT              , "Left aligned with wordwrap",      \
            SS_CENTER            , "Centered",                        \
            SS_RIGHT             , "Right-aligned",                   \
            SS_SIMPLE            , "Simple one line text",            \
            SS_LEFTNOWORDWRAP    , "Left-aligned without wordwrap"   \
        >,                                                    \         ; This is SubtipeRange
        NONE,                                                 \         ; Library file NULL, because it's standard component.
        'label.ico',                                          \         ; Image for icon
                                                              \         ; 2.Shape control starts here
        'STATIC',                                             \
        'Shape control',                                      \
        'Standard',                                           \
        'Shape',                                              \
        WS_VISIBLE or WS_CHILD or SS_ETCHEDFRAME,             \         ; default style
        0,                                                    \         ; default ex style
        128, 128,                                             \
        <                                                     \         ; style names
            SS_SUNKEN            , "Draws a half-sunken border around a static control",                                        \
            SS_CENTERIMAGE       , "Centers the image",                                                                                                                            \
            SS_REALSIZEIMAGE     , "Prevents a static icon or bitmap control from being resized as it is loaded or drawn",                                                         \
            SS_RIGHTJUST         , "Specifies that the lower right corner of a static control with the SS_BITMAP or SS_ICON style is to remain fixed when the control is resized", \
            SS_NOPREFIX          , "Prevents interpretation of any ampersand (&) characters in the control's text as accelerator prefix characters",\
            SS_NOTIFY            , "Sends the parent window notification messages when the user clicks or double-clicks the control"          \
        >,                                                    \
        NONE,                                                 \         ; style Ex names
                                                              \
        $00000000,                                            \         ; This is StyleMaskAnd
        WS_CHILD ,                                            \         ; This is StyleMaskOr
        $00000000,                                            \         ; This is StyleExMaskAnd
        $00000000,                                            \         ; This is StyleExMaskOr
        $1f      ,                                            \         ; This is SubtypeMask
        <                                                     \
            SS_BLACKFRAME        , "Specifies a box with a frame drawn in the same color as the window frames",                 \
            SS_GRAYFRAME         , "Specifies a box with a frame drawn with the same color as the screen background (desktop)", \
            SS_WHITEFRAME        , "Specifies a box with a frame drawn with the same color as the window background",           \
            SS_ETCHEDHORZ        , "Draws the top and bottom edges of the static control using the EDGE_ETCHED edge style",     \
            SS_ETCHEDVERT        , "Draws the left and right edges of the static control using the EDGE_ETCHED edge style",     \
            SS_ETCHEDFRAME       , "Draws the frame of the static control using the EDGE_ETCHED edge style",                    \
            SS_BLACKRECT         , "Specifies a rectangle filled with the current window frame color",                          \
            SS_GRAYRECT          , "Specifies a rectangle filled with the current screen background color",                     \
            SS_WHITERECT         , "Specifies a rectangle filled with the current window background color"                      \
        >,                                                    \         ; This is SubtipeRange
        NONE,                                                 \         ; Library file NULL, because it's standard component.
        'shape.ico',                                          \         ; Image for icon
                                                              \         ; 3.Image control starts here
        'STATIC',                                             \
        'Image control',                                      \
        'Standard',                                           \
        'Image',                                              \
        WS_VISIBLE or WS_CHILD or SS_BITMAP or SS_CENTERIMAGE,\         ; default style
        0,                                                    \         ; default ex style
        128, 128,                                             \
        <                                                     \         ; style names
            SS_SUNKEN            , "Draws a half-sunken border around a static control",                                        \
            SS_CENTERIMAGE       , "Centers the image",                                                                                                                            \
            SS_REALSIZEIMAGE     , "Prevents a static icon or bitmap control from being resized as it is loaded or drawn",                                                         \
            SS_RIGHTJUST         , "Specifies that the lower right corner of a static control with the SS_BITMAP or SS_ICON style is to remain fixed when the control is resized", \
            SS_NOPREFIX          , "Prevents interpretation of any ampersand (&) characters in the control's text as accelerator prefix characters",\
            SS_NOTIFY            , "Sends the parent window notification messages when the user clicks or double-clicks the control"          \
        >,                                                    \
        NONE,                                                 \         ; style Ex names
                                                              \
        $00000000,                                            \         ; This is StyleMaskAnd
        WS_CHILD ,                                            \         ; This is StyleMaskOr
        $00000000,                                            \         ; This is StyleExMaskAnd
        $00000000,                                            \         ; This is StyleExMaskOr
        $1f      ,                                            \         ; This is SubtypeMask
        <                                          \
            SS_BITMAP            , 'Bitmap image'  ,                       \
            SS_ICON              , 'Icon image'    ,                       \
            SS_ENHMETAFILE       , 'Metafile image',                       \
            SS_OWNERDRAW         , 'Owner is responsible for drawing image.',   \
            SS_USERITEM          , 'User defined item'        \
        >,                                                    \         ; This is SubtipeRange
        NONE,                                                 \         ; Library file NULL, because it's standard component.
        'image.ico'