; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "BSD 2-clause" license."          |
;|_______________________________________________________________________________________|
;
;  Description: Draw library contains procedures for drawing oprtations.
;
;  Target OS: Any
;
;  Dependencies:
;
;  Notes: This file contains OS independent part and includes OS dependent files.
;_________________________________________________________________________________________
module "Draw library"


include "%TargetOS%/draw.asm"


proc DrawRectangle, .context, .pBounds, .color
begin
        push    eax ecx edx

        mov     edx, [.pBounds]

        mov     eax, [edx+TBounds.x]
        mov     ecx, [edx+TBounds.y]
        add     eax, [edx+TBounds.width]
        add     ecx, [edx+TBounds.height]
        dec     eax
        dec     ecx

        stdcall SetSimpleLine, [.context], [.color]
        stdcall DrawLine, [.context], [edx+TBounds.x], [edx+TBounds.y], eax, [edx+TBounds.y]
        stdcall DrawLine, [.context], eax, [edx+TBounds.y], eax, ecx
        stdcall DrawLine, [.context], [edx+TBounds.x], ecx, eax, ecx
        stdcall DrawLine, [.context], [edx+TBounds.x], [edx+TBounds.y], [edx+TBounds.x], ecx

        pop     edx ecx eax
        return
endp


endmodule