;<ff
Window frmEditorOptions, 3, 0, 'TForm', 'Editor options', $6480000, $10001, 0, 236, 189, 480, 320, EditorOptionsProc;
Window NONE, 0, 1, 'SysListView32', 'ListView', $5081208C, $0, 1000, 0, 0, 100, 293, 0;
Window NONE, 1, 3, 'TForm', 'Form', $50810000, $10100, 1001, 100, 0, 372, 40, ThemesPanelWinProc;
Window NONE, 0, 0, 'STATIC', 'T&hemes:', $50000202, $0, 0, 4, 8, 40, 21, 0;
Window NONE, 0, 0, 'BUTTON', '&Save', $50018000, $0, 103, 278, 8, 40, 21, 0;
Window NONE, 0, 0, 'BUTTON', '&Load', $50018000, $0, 102, 322, 8, 40, 21, 0;
Window NONE, 2, 0, 'COMBOBOX', '', $50010002, $10000, 101, 48, 8, 224, 150, 0;
Window NONE, 3, 4, 'TForm', 'Form', $50810000, $10100, 0, 100, 253, 372, 40, 0;
Window NONE, 0, 0, 'BUTTON', 'OK', $50010001, $0, 1, 224, 8, 64, 25, 0;
Window NONE, 2, 0, 'BUTTON', 'Cancel', $50010000, $0, 2, 296, 8, 64, 25, 0;
;ff>

winmessage OM_UPDATEDIALOG
winmessage OM_THEMECHANGED


struct TEditorSettings
  .ptrFontName  dd  ?
  .FontSize     dd  ?
  .FontCharset  dd  ?
  .AsmEditStyle dd  ?
  .ptrTheme     dd  ?
  .size         dd  ?
ends

virtual at 0
  aeTheme AETHEME 0,0,0,0,0,0,1,0,0,0,0
  sizeof.aeTheme = $
end virtual

iglobal
  property propTempSettings, 'TempSettings'
  cDefaultThemesDirectory text '%Fresh%/IDE/themes/'
endg

cThemeSize = sizeof.TEditorSettings + sizeof.aeTheme + SyntaxColorCount*4 + $100


proc OnEditorOptions, .wparam, .lparam
begin
        stdcall CreateForm, frmEditorOptions, [hApplication]
        test    ebx, ebx
        jz      .finish

        stdcall ShowModal, ebx, MSF_CENTER
        invoke  DestroyWindow, ebx

.finish:
        return
endp



;---------------------------------------------------------

winproc EditorOptionsProc

.lvi LVITEM

begin

ondefault
        stc
        return

onmessage OM_THEMECHANGED
        invoke  GetDlgItem, [.hwnd], 1000
        mov     ebx, eax
        lea     edi, [.lvi]

        invoke  SendMessageA, ebx, LVM_GETITEMCOUNT, 0, 0
        dec     eax
        mov     [edi+LVITEM.iItem], eax

        mov     [edi+LVITEM.mask], LVIF_PARAM
        mov     [edi+LVITEM.iSubItem], 0

.itemsave:
        invoke  SendMessageA, ebx, LVM_GETITEM, 0, edi
        invoke  SendMessageA, [edi+LVITEM.lParam], OM_UPDATEDIALOG, 0, 0
        dec     [edi+LVITEM.iItem]
        jns     .itemsave
        clc
        return


onmessage WM_NOTIFY
        cmp     [.wparam], 1000
        jne     .ondefault

        mov     esi, [.lparam]
        cmp     [esi+NMHDR.code], LVN_ITEMCHANGED
        jne     .ondefault

        test    [esi+NMLISTVIEW.uChanged], LVIF_STATE
        jz      .ondefault

        mov     eax, [esi+NMLISTVIEW.uNewState]
        xor     eax, [esi+NMLISTVIEW.uOldState]
        test    eax, LVIS_FOCUSED
        jz      .ondefault

        mov     ecx, SW_SHOWNORMAL
        test    [esi+NMLISTVIEW.uNewState], LVIS_FOCUSED
        jnz     @f
        mov     ecx, SW_HIDE
@@:

; show window
        invoke  ShowWindow, [esi+NMLISTVIEW.lParam], ecx
        stdcall AlignChildren, [.hwnd]

        clc
        return



onmessage WM_COMMAND

        cmp     word [.wparam], MR_OK
        jne     .ondefault

        invoke  GetPropA, [.hwnd], [propTempSettings]
        stdcall ThemeDuplicate, eax

        xchg    [CurrentSettings], eax
        stdcall DestroySettings, eax

        stdcall EnumOpenFiles, ApplyCurrentTheme, NULL

        stc
        return


onmessage WM_DESTROY
        invoke  GetPropA, [.hwnd], [propTempSettings]
        stdcall DestroySettings, eax
        invoke  RemovePropA, [.hwnd], [propTempSettings]
        stc
        return

onmessage FM_AFTERCREATE
        stdcall ThemeDuplicate, [CurrentSettings]
        invoke  SetPropA, [.hwnd], [propTempSettings], eax
        invoke  SendDlgItemMessageA, [.hwnd], 1001, FM_AFTERCREATE, 0, 0

locals
  .hlv dd ?
endl
        invoke  GetDlgItem, [.hwnd], 1000
        mov     [.hlv], eax

        stdcall ImageList_LoadGif, [hInstance], 283, 32, FALSE
        invoke  SendMessageA, [.hlv], LVM_SETIMAGELIST, LVSIL_NORMAL, eax

        xor     esi, esi
        lea     edi, [.lvi]

        mov     [edi+LVITEM.mask], LVIF_TEXT or LVIF_PARAM or LVIF_IMAGE
        mov     [edi+LVITEM.iSubItem], 0

iglobal
  cEditOptionsApplets dd frmEditorColors, frmEditorBehaviour, 0
endg

.addloop:
        mov     ecx, [4*esi+cEditOptionsApplets]
        jecxz   .endadd

        stdcall CreateForm, ecx, [.hwnd]
        stdcall SetAlign, ebx, waClient

        mov     [edi+LVITEM.lParam], ebx
        stdcall GetControlText, ebx, 0
        push    eax

        stdcall StrPtr, eax
        mov     [edi+LVITEM.pszText], eax
        mov     [edi+LVITEM.iImage], esi

        invoke  SendMessageA, [.hlv], LVM_INSERTITEM, 0, edi

        stdcall StrDel ; from the stack.
        inc     esi
        jmp     .addloop

.endadd:
        invoke  SendMessageA, [.hlv], LVM_SETEXTENDEDLISTVIEWSTYLE, 0, LVS_EX_BORDERSELECT

        stdcall ListViewCenterIcons, [.hlv], 64

        mov     [.lvi.stateMask], TVIS_FOCUSED or TVIS_SELECTED
        mov     [.lvi.state], TVIS_FOCUSED or TVIS_SELECTED
        lea     eax, [.lvi]
        invoke  SendMessageA, [.hlv], LVM_SETITEMSTATE, 0, eax

        clc
        return
endwp




winproc ThemesPanelWinProc
.theme_name dd ?
begin

ondefault
        stc
        return

onmessage WM_COMMAND
        movzx   eax, word [.wparam]

        cmp     eax, 102                  ; Load profile button ID
        je      .loadprofile

        cmp     eax, 103                  ; save profile button ID
        je      .saveprofile

        jmp     .ondefault


.saveprofile:
        invoke  GetParent, [.hwnd]
        invoke  GetPropA, eax, [propTempSettings]
        mov     edi, eax

        invoke  GetDlgItem, [.hwnd], 101  ; profiles combo box
        stdcall GetControlText, eax, NULL
        mov     [.theme_name], eax
        stdcall StrPtr, eax

        stdcall SaveEditorSettings, eax, edi, FALSE
        stdcall StrDel, [.theme_name]
        clc
        return

.loadprofile:
        invoke  GetParent, [.hwnd]
        mov     ebx, eax
        invoke  GetPropA, ebx, [propTempSettings]
        mov     edi, eax

        invoke  GetDlgItem, [.hwnd], 101  ; profiles combo box
        stdcall GetControlText, eax, NULL
        mov     [.theme_name], eax
        stdcall StrPtr, eax
        stdcall LoadEditorSettings, eax
        jc      .errorload

        invoke  SetPropA, ebx, [propTempSettings], eax
        stdcall DestroySettings, edi

        stdcall StrDel, [.theme_name]
        invoke  SendMessageA, ebx, OM_THEMECHANGED, 0, 0
        clc
        return

.errorload:
        stdcall StrDel, [.theme_name]
        test    eax, eax
        jnz     @f
        invoke  GetLastError
@@:
        stdcall ErrorMessage, eax
        clc
        return


onmessage FM_AFTERCREATE

locals
  .fd FINDDATA
endl

cThemesFilter text '%Fresh%/IDE/themes/*.*'

; Fill combobox with saved themes
        invoke  GetDlgItem, [.hwnd], 101
        mov     ebx, eax

        stdcall ConvertPath, cThemesFilter
        push    eax

        stdcall StrPtr, eax
        lea     ecx, [.fd]

        invoke  FindFirstFileA, eax, ecx
        cmp     eax, INVALID_HANDLE_VALUE
        je      .endofsearch

        mov     esi, eax
        stdcall StrDel ; from the stack

.themeloop:
        test    [.fd.dwFileAttributes], FILE_ATTRIBUTE_DIRECTORY
        jnz     .nextfile

        lea     eax, [.fd.cFileName]
        invoke  SendMessageA, ebx, CB_ADDSTRING, 0, eax

.nextfile:
        lea     eax, [.fd]
        invoke  FindNextFileA, esi, eax
        test    eax, eax
        jnz     .themeloop

        invoke  FindClose, esi

.endofsearch:
; select current theme if there is one
        invoke  SendMessageA, ebx, CB_SELECTSTRING, -1, cCurrentEditorSettings

        clc
        return

endwp



;---------------------------------------------------------


; EnumOpenFiles callback...
proc ApplyCurrentTheme, .ptrFile, .dummy
begin
        mov     esi, [.ptrFile]
        cmp     [esi+TOpenFile.hEditor], 0
        je      .exit

        stdcall GetAsmEdit, [esi+TOpenFile.hEditor]
        test    eax, eax
        jz      .exit

        mov     edi, eax
        mov     eax, [esi+TOpenFile.ptrType]

        stdcall ApplySettingsToAsmEdit, edi, [CurrentSettings], [eax+TFileType.lParam]

.exit:
        clc
        return
endp



;------------------------------------------------------------------
; THIS PROCEDURE CAN AND MUST BE USED FOR SETTING PROPERTIES FOR
; ALL ASMEDIT WINDOWS
;------------------------------------------------------------------
proc ApplySettingsToAsmEdit, .hAsmEdit, .ptrSettings, .ptrSyntaxProc
begin
        push    esi ebx

        mov     esi, [.ptrSettings]

; Apply style
        invoke  GetWindowLongA, [.hAsmEdit], GWL_STYLE
        and     eax, $ffffff00
        or      eax, [esi+TEditorSettings.AsmEditStyle]
        invoke  SetWindowLongA, [.hAsmEdit], GWL_STYLE, eax

; Apply font
        invoke  SendMessageA, [.hAsmEdit], WM_GETFONT, 0, 0
        mov     ebx, eax

        invoke  CreateFontA, [esi+TEditorSettings.FontSize], 0, 0, 0, FW_NORMAL,                 \
                            0, 0, 0, [esi+TEditorSettings.FontCharset],                         \
                            OUT_DEFAULT_PRECIS, CLIP_DEFAULT_PRECIS, DEFAULT_QUALITY,           \
                            FIXED_PITCH or FF_DONTCARE, [esi+TEditorSettings.ptrFontName]
        invoke  SendMessageA, [.hAsmEdit], WM_SETFONT, eax, 0
        invoke  DeleteObject, ebx

; Apply colors and syntax highlighter
        invoke  SendMessageA, [.hAsmEdit], AEM_SETTHEME, 0, [esi+TEditorSettings.ptrTheme]
        invoke  SendMessageA, [.hAsmEdit], AEM_SETSYNTAXHIGHLIGHT, 0, [.ptrSyntaxProc]

        pop     ebx esi
        return
endp




;------------------------------------------
; Loads the file with editor settings and
; Returns pointer to its header.
;------------------------------------------
proc LoadEditorSettings, .hThemeName
begin
        stdcall StrDup, cDefaultThemesDirectory
        push    eax ; save for strdel

        stdcall StrCat, eax, [.hThemeName]
        stdcall ConvertPath, eax
        push    eax ; save for strdel

        stdcall StrPtr, eax

        stdcall LoadBinaryFile, eax
        jc      .error

        stdcall ResizeMem, eax, cThemeSize
        test    eax, eax
        jnz     .relocate

.error:
        stdcall StrDel    ; from stack
        stdcall StrDel    ; from stack
        stc
        return

; relocate pointers
.relocate:
        add     [eax+TEditorSettings.ptrFontName], eax
        mov     ecx, [eax+TEditorSettings.ptrTheme]
        add     ecx, eax
        mov     [eax+TEditorSettings.ptrTheme], ecx
        mov     [ecx+aeTheme.syntax_proc], fasm_syntax
        mov     [eax+TEditorSettings.size], cThemeSize
        stdcall StrDel    ; from stack
        stdcall StrDel    ; from stack
        clc
        return
endp


proc SaveEditorSettings, .hThemeName, .ptrTheme, .fOverWrite
begin
        push    ebx esi

        mov     esi, [.ptrTheme]

        stdcall StrDup, cDefaultThemesDirectory
        push    eax ; save for strdel
        stdcall StrCat, eax, [.hThemeName]
        stdcall ConvertPath, eax
        mov     ebx, eax        ; filename
        stdcall StrDel    ; from stack

        stdcall StrPtr, ebx
        stdcall FileExists, eax
        jc      .saveit

        cmp     [.fOverWrite], FALSE
        jne     .saveit

cThemeExists      text   'The theme "'
cThemeExistsEnd   text   '" already exists. Do you want to overwrite it?'
cThemeExistsTitle text   'This theme already exist.'

        stdcall StrDup, cThemeExists
        push    eax
        stdcall StrCat, eax, [.hThemeName]
        stdcall StrCat, eax, cThemeExistsEnd
        stdcall StrPtr, eax
        invoke  MessageBoxA, [hApplication], eax, cThemeExistsTitle, MB_YESNO or MB_ICONQUESTION
        stdcall StrDel ; from stack
        cmp     eax, IDYES
        jne     .finish

.saveit:
        push    [esi+TEditorSettings.ptrFontName]
        push    [esi+TEditorSettings.ptrTheme]

        sub     [esi+TEditorSettings.ptrFontName], esi
        sub     [esi+TEditorSettings.ptrTheme], esi

        stdcall StrPtr, ebx
        stdcall SaveBinaryFile, eax, esi, [esi+TEditorSettings.size]

        pop     [esi+TEditorSettings.ptrTheme]
        pop     [esi+TEditorSettings.ptrFontName]

.finish:
        stdcall StrDel, ebx
        xor     eax, eax
        pop     esi ebx
        return
endp


proc ThemeDuplicate, .ptrTheme
begin
        push    esi edi
        mov     esi, [.ptrTheme]

        push    [esi+TEditorSettings.ptrFontName]
        push    [esi+TEditorSettings.ptrTheme]

        sub     [esi+TEditorSettings.ptrFontName], esi
        sub     [esi+TEditorSettings.ptrTheme], esi

        stdcall GetMem, [esi+TEditorSettings.size]
        mov     edi, eax
        push    eax
        push    esi

        mov     ecx, [esi+TEditorSettings.size]
        shr     ecx, 2

        rep movsd

        pop     esi
        pop     eax

        pop     [esi+TEditorSettings.ptrTheme]
        pop     [esi+TEditorSettings.ptrFontName]

        add     [eax+TEditorSettings.ptrFontName], eax
        add     [eax+TEditorSettings.ptrTheme], eax

        pop     edi esi
        return
endp



proc DestroySettings, .ptrSettings
begin
        stdcall FreeMem, [.ptrSettings]
        return
endp

